LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY deco7seg IS
	PORT(NUMERO: IN INTEGER RANGE 0 TO 15;
			  SAL: OUT STD_LOGIC_VECTOR(7 DOWNTO 0)); -- PARA LOS 8 SEG DEL DISPLAY
END ENTITY;

ARCHITECTURE BEAS OF deco7seg IS
BEGIN

	
	WITH NUMERO SELECT
		  SAL <= "00000011" WHEN 0, -- 0
					"10011111" WHEN 1, -- 1
					"00100101" WHEN 2, -- 2
					"00001101" WHEN 3, -- 3
					"10011001" WHEN 4, -- 4
					"01001001" WHEN 5, -- 5
					"01000001" WHEN 6, -- 6
					"00011111" WHEN 7, -- 7
					"00000001" WHEN 8, -- 8
					"00001001" WHEN 9, -- 9
					"00010001" WHEN 10, -- A
					"11000001" WHEN 11, -- b
				   "01100011" WHEN 12, -- C
				   "10000101" WHEN 13, -- d
					"10010001" WHEN 14, -- #
					"01111111" WHEN 15; -- *

END BEAS;
